Name:           maven-ant-plugin
Version:        2.3
Release:        %mkrel 16
Summary:        Maven Ant Plugin
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-ant-plugin
BuildArch:      noarch

#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-ant-plugin-2.3/
#tar jcf maven-ant-plugin-2.3.tar.bz2 maven-ant-plugin-2.3/
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:         %{name}-pom.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-nodeps)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xml-apis:xml-apis)

%description
Generates an Ant build file from a POM.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -p0
cp -p %{SOURCE1} .

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt


%changelog
* Sat Feb 27 2016 daviddavid <daviddavid> 2.3-16.mga6
+ Revision: 980068
- First rebuild of the java stack
- sync package maven-ant-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 2.3-15.mga5
+ Revision: 809757
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.3-14.mga5
+ Revision: 746212
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 2.3-12.mga4
+ Revision: 549391
- Fix buildrequires for new maven

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Aug 03 2013 joequant <joequant> 2.3-10.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Tue Jul 09 2013 dmorgan <dmorgan> 2.3-9.mga4
+ Revision: 451846
- migrated to plexus-components-component-default

* Sat Jan 12 2013 umeabot <umeabot> 2.3-8.mga3
+ Revision: 359574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 2.3-7.mga3
+ Revision: 264009
- Fix compile in pure maven 3(without maven 2 installed).

* Fri Jul 22 2011 dmorgan <dmorgan> 2.3-6.mga2
+ Revision: 127938
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3-5.mga1
+ Revision: 93091
- Fix ant patch
- Update ant patch
- Rebuild after bootstrapping
- imported package maven-ant-plugin


* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.3-4
- Added 'Requires:maven2'

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.3-3
- Changed epoch 1 to epoch 0 in provides

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.3-2
- Added epoch 1 in provides

* Fri May 28 2010 Hui Wang <huwang@redhat.com> - 2.3-1
- Initial version of the package
